Create Pairing

Create Pairing
Pair to remote Site Recovery Manager server.

Pair to remote Site Recovery Manager server.

Request
URI
POST
https://{api_host}/pairings
COPY
Request Body

Remote Site Recovery Manager server spec to pair to.

PairingSpec of type(s) application/json
Required

Show optional properties

{
    "pair_psc_info": {
        "url": "string",
        "port": 0,
        "thumbprint": "string",
        "username": "string",
        "password": "string"
    },
    "pair_vc_guid": "string"
}
{
    "pair_psc_info": {
        "url": "string",
        "port": 0,
        "thumbprint": "string",
        "username": "string",
        "password": "string"
    },
    "pair_vc_guid": "string",
    "pair_srm_thumbprint": "string",
    "pair_srm_url": "string"
}
object
pair_psc_info
Required

Details of a pair Platform Services Controller.

string
pair_vc_guid
Required

Server guid of the remote vCenter Server.

string
pair_srm_thumbprint
Optional

The expected thumbprint of the remote Site Recovery Manager. Used to match against the actual thumbprint of the remote Site Recovery Manager, when the remote Site Recovery Manager certificate is not trusted. Should not be undefined, empty string or string only with spaces, when attribute pair_srm_url has a meaningful value. Can be null when the remote Site Recovery Manager certificates are trusted.

string
pair_srm_url
Optional

The expected URL of the remote Site Recovery Manager. Used to match against the actual URL of the remote Site Recovery Manager, when the remote Site Recovery Manager certificate is not trusted. Should not be undefined, empty string or string only with spaces, when attribute pair_srm_thumbprint has a meaningful value. Can be null when the remote Site Recovery Manager certificates are trusted.

Authentication
This operation uses the following authentication methods.
Responses
202

Pairing task.

Returns TaskDrResponseEntity of type(s) application/json
This response body class contains all of the following: Task , InlineTaskDrResponseEntity1
{
    "id": "string",
    "description": "string",
    "description_id": "string",
    "entity": "string",
    "entity_name": "string",
    "status": "string",
    "error": {
        "message": "string",
        "details": "string"
    },
    "result": {},
    "progress": 0,
    "queued_time": 0,
    "start_time": 0,
    "complete_time": 0,
    "_meta": {
        "errors": [
            {
                "code": "string",
                "message": "string",
                "field": "string"
            }
        ]
    }
}

400

Bad request - the server cannot understand the request due to invalid syntax or invalid request body content

Returns ResponseError of type(s) application/json
{
    "error_code": "string",
    "message": "string",
    "op_id": "string"
}
string
error_code
Optional

The code of the error.

string
message
Optional

The message of the error.

string As uuid As uuid
op_id
Optional

The ID of the operation.


401

Unauthorized - the client must authenticate itself to get the requested response

Operation doesn't return any data structure

403

Forbidden - not sufficient access rights to fulfill the request

Returns ResponseError of type(s) application/json
{
    "error_code": "string",
    "message": "string",
    "op_id": "string"
}
string
error_code
Optional

The code of the error.

string
message
Optional

The message of the error.

string As uuid As uuid
op_id
Optional

The ID of the operation.


500

Internal server error - unexpected condition prevents fulfilling the request

Returns ResponseError of type(s) application/json
"ResponseError Object"
string
error_code
Optional

The code of the error.

string
message
Optional

The message of the error.

string As uuid As uuid
op_id
Optional

The ID of the operation.


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"pair_psc_info":"object","pair_vc_guid":"string"}' https://{api_host}/pairings